Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class FileHandler

    java.lang.Object
      nl.liacs.subdisc.FileHandler

    public class FileHandler

extends java.lang.Object

Nested Class Summary
`static class` | `FileHandler.Action`

Constructor Summary
`FileHandler(FileHandler.Action theAction)`
`FileHandler(java.io.File theFile, Table theTable)`
`FileHandler(Table theTable, EnrichmentType theType)`

Method Summary
`java.io.File` | `getFile()` If a `JFileChooser` dialog was shown and a `File` was selected, use this method to retrieve it.
`SearchParameters` | `getSearchParameters()` If this FileHandler successfully loaded the `SearchParameters` from a `File`, use this method to retrieve them.
`Table` | `getTable()` If this FileHandler successfully loaded a `Table` from a `File` or a database, use this method to retrieve it.
`void` | `printLoadingInfo()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileHandler

    public FileHandler(FileHandler.Action theAction)

### FileHandler

    public FileHandler(Table theTable,
                       EnrichmentType theType)

### FileHandler

    public FileHandler(java.io.File theFile,
                       Table theTable)

Method Detail

### printLoadingInfo

    public void printLoadingInfo()

### getFile

    public java.io.File getFile()

  If a `JFileChooser` dialog was shown and a `File` was selected, use this method to retrieve it.

  Returns:
    a `File`, or `null` if no approved selection was made.

### getTable

    public Table getTable()

  If this FileHandler successfully loaded a `Table` from a `File` or a database, use this method to retrieve it.

  Returns:
    the `Table` if present, `null` otherwise.

### getSearchParameters

    public SearchParameters getSearchParameters()

  If this FileHandler successfully loaded the `SearchParameters` from a `File`, use this method to retrieve them.

  Returns:
    the `SearchParameters` if present, `null` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD